import * as React from "react";
import "@styles/base.css";

import type { GlobalProvider } from "@ladle/react";
import UiContextProvider from "@contexts/UiContext";

export const Provider: GlobalProvider = ({ children }) => (
  <UiContextProvider>{children}</UiContextProvider>
);
