export interface IMenuItem {
  title: string;
  target: string;
  children?: IMenuItem[];
}

export interface ISocialMediaItem {
  href: string;
  type:
    | "instagram"
    | "github"
    | "xing"
    | "gitlab"
    | "linkedin"
    | "youtube"
    | "twitter"
    | "mastodon"
    | "facebook"
    | "website"
    | "email";
}

export interface IPolicy {
  title: string;
  href: string;
}

export interface ISupportedBy {
  alt?: string;
  href?: string;
  img: string;
}
