import * as React from "react";
import Breadcrumbs from "@components/Breadcrumbs";

const homeIcon = (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    fill="none"
    viewBox="0 0 24 24"
    strokeWidth="1.5"
    stroke="currentColor"
    className="w-4 h-4 inline-block"
  >
    <path
      strokeLinecap="round"
      strokeLinejoin="round"
      d="M2.25 12l8.954-8.955c.44-.439 1.152-.439 1.591 0L21.75 12M4.5 9.75v10.125c0 .621.504 1.125 1.125 1.125H9.75v-4.875c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125V21h4.125c.621 0 1.125-.504 1.125-1.125V9.75M8.25 21h8.25"
    />
  </svg>
);

const crumbs = [
  {
    target: "/level1",
    title: "Level 1",
    icon: homeIcon,
  },
  {
    target: "/level2",
    title: "Level 2",
  },
  {
    target: "/level3",
    title: "Level 3",
  },
];

const crumbs1 = [
  {
    target: "/level1",
    title: "Level 1",
  },
  {
    target: "/level2",
    title: "Level 2",
  },
  {
    target: "/level3",
    title: "Level 3",
  },
];
const crumbs2 = [
  {
    target: "/level1",
    icon: homeIcon,
  },
  {
    target: "/level2",
    icon: homeIcon,
  },
  {
    target: "/level3",
    icon: homeIcon,
  },
];

const crumbs3 = [
  {
    target: "/level1",
    title: "Level 1",
    icon: homeIcon,
  },
  {
    target: "/level2",
    title: "Level 2",
  },
  {
    target: "/level3",
    title: "Level 3",
    icon: homeIcon,
  },
];
export const BreadcrumbsStory = () => (
  <div className="flex flex-col gap-5">
    <Breadcrumbs crumbs={crumbs} />
    <Breadcrumbs crumbs={crumbs1} />
    <Breadcrumbs crumbs={crumbs2} />
    <Breadcrumbs crumbs={crumbs3} />
  </div>
);

export default {
  title: "Molecules",
};
BreadcrumbsStory.storyName = "Breadcrumbs";
